datacache <- new.env(hash=TRUE, parent=emptyenv())

ragene11stprobeset <- function() showQCData("ragene11stprobeset", datacache)
ragene11stprobeset_dbconn <- function() dbconn(datacache)
ragene11stprobeset_dbfile <- function() dbfile(datacache)
ragene11stprobeset_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ragene11stprobeset_dbInfo <- function() dbInfo(datacache)

ragene11stprobesetORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ragene11stprobeset.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ragene11stprobeset", "chip ragene11stprobeset", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ragene11stprobeset.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ragene11stprobeset_dbconn())
}

